# GitTouch

An open-source mobile app for Git services including [GitHub](https://github.com/), [GitLab](https://gitlab.com/), [Bitbucket](https://bitbucket.org/), [Gitea](https://gitea.com/) and [Gitee(码云)](https://gitee.com/), built with Flutter

<p>
  <a href="https://apps.apple.com/us/app/gittouch/id1452042346?itsct=apps_box&itscg=30200"><img src="https://tools.applemediaservices.com/api/badges/download-on-the-app-store/black/en-US" alt="Download on the App Store" height="60"></a>
  <a href="https://play.google.com/store/apps/details?id=io.github.pd4d10.gittouch"><img alt="Get it on Google Play" title="Google Play" src="https://raw.githubusercontent.com/pd4d10/git-touch/main/assets/google-play-badge.png" height="60" /></a>
</p>

## Installation

Click badges above to install it from Apple App Store or Google Play.

Android users can also download APK file from [release page](https://github.com/pd4d10/git-touch/releases) and install it manually.

## Screenshots

<p>
  <img src="https://raw.githubusercontent.com/pd4d10/git-touch/main/assets/screenshot-dark.png" alt="Dark screenshot" width="400" /><img src="https://raw.githubusercontent.com/pd4d10/git-touch/main/assets/screenshot-light.png" alt="Light screenshot" width="400" />
</p>

## Supported platforms

https://github.com/git-touch/git-touch/issues/29

✅: Done\
🚧: Working in progress\
💬: In review

| Platform | Public service | API documentation | Status | Custom domain |
| --- | --- | --- | --- | --- |
| GitHub | https://github.com | [v3(RESTful)](https://developer.github.com/v3/), [v4(GraphQL)](https://developer.github.com/v4/) | ✅ | 💬 |
| GitLab | https://gitlab.com | [GitLab API v4](https://docs.gitlab.com/ee/api/) | ✅ | ✅ |
| BitBucket | https://bitbucket.org | [BitBucket API](https://developer.atlassian.com/bitbucket/api/2/reference) | ✅ | ✅ |
| Gogs | https://try.gogs.io/ | [Gogs API](https://github.com/gogs/docs-api) | 🚧 | ✅ |
| Gitea | https://gitea.com/ | [Gitea API](https://try.gitea.io/api/swagger#/) | ✅ | ✅ |
| Gitee | https://gitee.com/ | [Gitee API](https://gitee.com/api/v5/swagger) | ✅ | 💬 |

## Contributing

See [CONTRIBUTING.md](./CONTRIBUTING.md).

## Contributors

[![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/0)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/1)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/2)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/3)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/4)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/5)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/6)![](https://sourcerer.io/fame/pd4d10/pd4d10/git-touch/images/7)](https://github.com/pd4d10/git-touch/graphs/contributors)

## License

Apache-2.0 License
